Subject: Re: less and [D
From: [email-masked] (Michael Weiser)

15 Sep 1998 09:38:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: Jan Tomasek <[email-masked]>
Cc: [email-masked]

Hello Jan, you wrote:
>I'm new to this list. I'm student of Faculty of Electrical Engenering
>on Czech Technical University. I'm autor of the SemTel telnet client
>for Windows 3.11/95+/NT with support for SSL. It can be downloaded
>from my page. That will be enought as introducing myself, I think.
Welcome. :)

>Here're my questions:
>
>1. I've installed cygwin package with bash
>	GNU bash, version 2.01.1(2)-release (i386-pc-cygwin32)
>   and less from site ftp://ftp.franken.de
>	less  version 321
>   my OS is MS-Windows 95 OSR2. And when I type 
>	ls -l /bin | less
>   I receive this message and less is working as on hardcopy terminal
>	WARNING: terminal is not fully functional
>	-  (press RETURN)
Have you set TERM to linux or ansi? If not try

export TERM=linux

or

export TERM=ansi

TERM=linux works great for me.

>2. Is chance to make bash faster? I unset MAILCHECK but it's
>   still slow. When I press right arrow key bash will print [D,
What exactly do you mean? Are there pauses or is it just incredibly
slow?

BTW: cygwin32 itself is a bit slow because of the emulation layer
sitting behind every little call. But it shouldn't be more than a
slight delay sometimes.

>   (it's esc sequention for right key). It's problem for all
>   functions key but not for normal keys, like 'a'. 
Some special keys have to be defined in ~/.inputrc to work. For me
this looks like this:

set meta-flag on
set convert-meta off
set output-meta on
"\e[3~": delete-char
"\e[4~": end-of-line

You will need an /etc/passwd with homedir entries and HOME set to your
homedir.
You could also try to set CYGWIN32=tty in cygnus.bat.
But perhaps your problem already gets solved by setting TERM=linux.
-- 
bye, Michael
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".